Bug 135239 - Bad iso8859-2 encoding
Bad iso8859-2 encoding
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnuplot (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-11 05:35 EDT by Dariusz Knociński
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-21 09:17:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Polish chars test file (71 bytes, application/octet-stream)
2005-10-20 16:58 EDT, Marcin Garski
no flags Details

  None (edit)
Description Dariusz Knociński 2004-10-11 05:35:08 EDT
Description of problem:
Gnuplot generate bad format for PostScrip document wiht
iso8859-2 encoding and no generate Polish letters on X11.

Version-Release number of selected component (if applicable):
gnuplot-4.0.0-3

How reproducible:
Always

Steps to Reproduce:
1.Create sample file from gnuplot samples
2.Insert section "set encoding iso_8859-2" into top of document
3.Realize graph to X11 window or PostScript file
  
Actual results:


Expected results:


Additional info:
Comment 1 Phil Knirsch 2004-10-18 08:22:44 EDT
I've tried what you described and got perfectly working postscript
files afterwards.

What exactly did you try and what was the error message?

Read ya, Phil
Comment 2 Marcin Garski 2005-10-20 16:57:04 EDT
I probably know why Dariusz filed this bug.

Save attached file and run 'gnuplot polish-letters-sample.gp'. You won't see
polish characters in title. The file have ISO-8859-2 encoding.

When I recode this file to UTF-8 and remove set encoding line I still can't get
polish chars on screen.
Comment 3 Marcin Garski 2005-10-20 16:58:33 EDT
Created attachment 120207 [details]
Polish chars test file

Tested on gnuplot-4.0.0-7 (FC4)
Comment 4 John Thacker 2007-01-13 14:06:44 EST
The short answer to this problem is that gnuplot 4.0 is badly broken with
respect to UTF-8.  It's basically always choosing an ISO-8859-1 font.

The first type of bad display is what happens when gnuplot attempts to display
ISO-8859-2 characters by choosing the correct codepoints, but from an ISO-8859-1
font.  The second type of bad display (after converting to UTF-8) is that
gnuplot is again using an ISO-8859-1 font and interpreting the codepoints as
codepoints in ISO-8859-1, but this time some of the characters are multibyte,
and in any case the bytes are different.

gnuplot 4.1/4.2 (in CVS) fixes a lot of this:
http://statist.wald.intevation.org/utf8.html
http://gnuplot.cvs.sourceforge.net/gnuplot/gnuplot/demo/utf8.dem?revision=1.3&view=markup

4.2 is supposed to be out very shortly, which should really make solving the
issue a lot easier (though not perfect), by adding UTF-8 support.  In fact, the
last minute comments before final release on the development mailing list for
gnuplot address this very issue of switching between different font encodings.

I'd say that this cannot be fixed until 4.2 is released.
Comment 5 Ivana Varekova 2007-05-21 09:17:55 EDT
Fixed with gnuplot-4.2.0-1.fc8.

Note You need to log in before you can comment on or make changes to this bug.